package com.ramos.munoz.tesis;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.graphics.Rect;
import android.os.Bundle;
import android.view.Menu;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MapaTapMenu extends Activity implements OnClickListener {

    private int radio;
    private EditText editTxtRadio;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
	super.onCreate(savedInstanceState);
	setContentView(R.layout.mapa_tap_menu_activity);
	inicializarComponentes();
    }

    private void inicializarComponentes() {
	editTxtRadio = (EditText) findViewById(R.id.editTxtRadio);
	Button buscar = (Button) findViewById(R.id.btnBuscarRadio);
	buscar.setOnClickListener(this);
    }

    private void enviarRadio() {

	if (Validacion.isVacio(editTxtRadio)) Toast.makeText(getApplicationContext(), "Ingrese un radio", Toast.LENGTH_SHORT).show();
	else {
	    this.radio = Integer.parseInt(editTxtRadio.getText().toString());
	    if (this.radio != 0) {

		Intent radio = new Intent(MapaTapMenu.this, MapaActivity.class);
		radio.putExtra("radio", this.radio);
		setResult(MapaActivity.RESPUESTA_RADIO, radio);
		this.finish();
	    }
	}

    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
	return true;
    }

    // Método para cerrar la ventana cuando se presiona fuera del dialogo
    @Override
    public boolean dispatchTouchEvent(MotionEvent ev) {
	Rect dimensiones = new Rect();
	getWindow().getDecorView().getHitRect(dimensiones);
	if (!dimensiones.contains((int) ev.getX(), (int) ev.getY())) {
	    this.finish();
	}
	return super.dispatchTouchEvent(ev);
    }

    public void onClick(View v) {
	switch (v.getId()) {
	    case R.id.btnBuscarRadio:
		enviarRadio();
		break;
	}
    }

}
